Index: /trunk/prototype/modules/filters/interceptors/FilterMapping.php
===================================================================
--- /trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 6163)
+++ /trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 6193)
@@ -2,5 +2,5 @@
 /**
 *
-* Copyright (C) 2011 ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* Copyright (C) 2011 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
 *
 * This program is free software; you can redistribute it and/or modify it under
@@ -26,17 +26,17 @@
 *
 * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
-* 6731, PTI, Bl. 05, Esp. 02, Sl. 10, Foz do IguaÃ§u - PR - Brasil or at
+* 6731, PTI, Bl. 05, Esp. 02, Sl. 10, Foz do Iguaçu - PR - Brasil or at
 * e-mail address prognus@prognus.com.br.
 *
-* DescriÃ§Ã£o rÃ¡pida do arquivo
-*
-* Arquivo responsÃ¡vel pela manipulaÃ§Ã£o dos filtros
+* Descrição rápida do arquivo
+*
+* Arquivo responsável pela manipulação dos filtros
 *
 * @package    filters
 * @license    http://www.gnu.org/copyleft/gpl.html GPL
-* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
 * @version    1.0
-* @sponsor    Caixa EconÃŽmica Federal
-* @since      Arquivo disponibilizado na versÃ£o 2.4
+* @sponsor    Caixa Econômica Federal
+* @since      Arquivo disponibilizado na versão 2.4
 */
 
@@ -44,14 +44,14 @@
 
 /**
-* Classe responsÃ¡vel pela manipulaÃ§Ã£o dos filtros.
+* Classe responsável pela manipulação dos filtros.
 *
 *
 * @package    prototype
 * @license    http://www.gnu.org/copyleft/gpl.html GPL
-* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
 * @author     Airton Bordin Junior <airton@prognus.com.br>
 * @author     Gustavo Pereira dos Santos <gustavo@prognus.com.br>
 * @version    1.0
-* @since      Classe disponibilizada na versÃ£o 2.4
+* @since      Classe disponibilizada na versão 2.4
 */
 class FilterMapping
@@ -60,9 +60,9 @@
 	
 	/**
-	* MÃ©todo que cria o ID da regra que estÃ¡ sendo criada.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que cria o ID da regra que está sendo criada.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -80,12 +80,12 @@
 	
 	/**
-	* MÃ©todo que formata o Script de acordo com a sintaxe do Sieve.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
-	* @author     Airton Bordin Junior <airton@prognus.com.br>
-	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
-	* @param      <Array> <$rules> <Array com as regras do usuÃ¡rio>
+	* Método que formata o Script de acordo com a sintaxe do Sieve.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @author     Airton Bordin Junior <airton@prognus.com.br>
+	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
+	* @param      <Array> <$rules> <Array com as regras do usuário>
 	* @return     <Regra de acordo com a sintaxe do Sieve>
 	* @access     <public>
@@ -105,5 +105,5 @@
 				
 			if(array_key_exists("block", $data)) {
-				/* Usado na opÃ§Ã£o Bloquear usuÃ¡rio do ExpressoMail */
+				/* Usado na opção Bloquear usuário do ExpressoMail */
 				if($data['block']) {
 					($i >0) ? $script_match = 'elsif anyof' : $script_match = 'if anyof';
@@ -131,5 +131,5 @@
 			foreach ($criteria as $j => $value)
 			{					
-
+				
 				switch($criteria[$j]['field']) {
 					case 'To':    
@@ -197,5 +197,5 @@
 					/* 
 					   TO-DO:
-					   InconsistÃªncia na regra do "nÃ£o contÃ©m".
+					   Inconsistência na regra do "não contém".
 					*/
 					case '!*':
@@ -235,5 +235,5 @@
 						$require_vacation = true;
 						$action[$k]['parameter'] = "\"" . $action[$k]['parameter'] . "\"";
-						$vacation_action = " :subject \"Fora do Escrit&oacuterio\" " . $action[$k]['parameter'] . ";";
+						$vacation_action = ' :subject "Fora do Escritorio" ' . $action[$k]['parameter'] . ";";
 						$vacation = true;
 						continue;
@@ -266,5 +266,5 @@
 			$require_vacation? $script_header .= "\"vacation\", " : "";  
 			$require_flag ? $script_header .= "\"imapflags\", " : "";  
-			$require_body ? $script_header .= "\"body\", " : "";  /* tem que instalar as extensÃµes no Cyrus */
+			$require_body ? $script_header .= "\"body\", " : "";  /* tem que instalar as extensões no Cyrus */
 			$script_header = substr($script_header,0,-2);
 			$script_header .= "];\r\n";
@@ -278,26 +278,26 @@
 		$json_data = json_encode($rules);
 		
-		$script_begin = "#Filtro gerado por Expresso Livre versÃ£o 2.4\r\n\r\n";
+		$script_begin = "#Filtro gerado por Expresso Livre versão 2.4\r\n\r\n";
 
 		$content = $script_begin . $script_header . $script_rules . "\r\n\r\n#PseudoScript#" . "\r\n#" . $json_data;
-
+		
 		return( $content );
 	}
 	
 	/**
-	* MÃ©todo que lÃª e faz o parser dos filtros antigos
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
-	* @author     Airton Bordin Junior <airton@prognus.com.br>
-	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
-	* @param      <$scriptName> <Regras do usuÃ¡rio>
-	* @return     <Regra do usuÃ¡rio parseada>
+	* Método que lê e faz o parser dos filtros antigos
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @author     Airton Bordin Junior <airton@prognus.com.br>
+	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
+	* @param      <$scriptName> <Regras do usuário>
+	* @return     <Regra do usuário parseada>
 	* @access     <public>
 	*/
 	public function readOldScript($scriptName) 
 	{
-        // Recebe o conteÃºdo do array;
+        // Recebe o conteúdo do array;
         $lines = array();
         $lines = preg_split("/\n/", $scriptName);
@@ -309,5 +309,5 @@
         //$this->size = trim($size_rule);
 
-        // Verifica a composiÃ§Ã£o do script; */
+        // Verifica a composição do script; */
         $line = array_shift($lines);
 
@@ -336,13 +336,13 @@
 	
 	/**
-	* MÃ©todo que faz o parsing do Script Sieve, transformando em Array.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
-	* @author     Airton Bordin Junior <airton@prognus.com.br>
-	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
-	* @param      <String> <$script> <Script Sieve com as regras do usuÃ¡rio>
-	* @return     <Regras do usuÃ¡rio em Array>
+	* Método que faz o parsing do Script Sieve, transformando em Array.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @author     Airton Bordin Junior <airton@prognus.com.br>
+	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
+	* @param      <String> <$script> <Script Sieve com as regras do usuário>
+	* @return     <Regras do usuário em Array>
 	* @access     <public>
 	*/
@@ -359,5 +359,5 @@
 				$array_rule = explode("&&", $parsed_rule['rule'][$i]);
 
-				/* TO-DO: Ver as actions possÃ­veis alÃ©m de reject e fileinto */
+				/* TO-DO: Ver as actions possíveis além de reject e fileinto */
 				switch($array_rule[6]) {
 					case 'reject':
@@ -404,5 +404,5 @@
 			return $old_rules;
 		} 
-		/* NÃ£o tem regra antiga */
+		/* Não tem regra antiga */
 		$pos = strripos($script, "#PseudoScript#");
 		$pseudo_script = substr( $script, $pos+17 );
@@ -419,6 +419,6 @@
 	*
 	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -432,12 +432,12 @@
 	
 	/**
-	* MÃ©todo que recupera as regras do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
-	* @author     Airton Bordin Junior <airton@prognus.com.br>
-	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
-	* @return     <Regras do usuÃ¡rio>
+	* Método que recupera as regras do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @author     Airton Bordin Junior <airton@prognus.com.br>
+	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
+	* @return     <Regras do usuário>
 	* @access     <public>
 	*/
@@ -455,9 +455,9 @@
 	
 	/**
-	* MÃ©todo que aplica o filtro para as mensagens do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que aplica o filtro para as mensagens do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -506,9 +506,9 @@
 	
 	/**
-	* MÃ©todo que lÃª o script do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que lê o script do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -517,5 +517,5 @@
 	* @param      <$criteria> 
 	* @param      <$original> 
-	* @return     <Script do usuÃ¡rio>
+	* @return     <Script do usuário>
 	* @access     <public>
 	*/
@@ -527,9 +527,9 @@
   
 	/**
-	* MÃ©todo que seta o script do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que seta o script do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -538,5 +538,5 @@
 	* @param      <$criteria> 
 	* @param      <$original> 
-	* @return     <Script do usuÃ¡rio>
+	* @return     <Script do usuário>
 	* @access     <public>
 	*/
@@ -561,9 +561,9 @@
 	
 	/**
-	* MÃ©todo que deleta o script do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que deleta o script do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -605,9 +605,9 @@
 	
 	/**
-	* MÃ©todo que pega o script do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que pega o script do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -616,5 +616,5 @@
 	* @param      <$criteria> 
 	* @param      <$original> 
-	* @return     <Script do usuÃ¡rio>
+	* @return     <Script do usuário>
 	* @access     <public>
 	*/
@@ -631,9 +631,9 @@
 	
 	/**
-	* MÃ©todo que lista as regras do usuÃ¡rio.
-	*
-	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @sponsor    Caixa EconÃŽmica Federal
+	* Método que lista as regras do usuário.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
 	* @author     Airton Bordin Junior <airton@prognus.com.br>
 	* @author	  Gustavo Pereira dos Santos <gustavo@prognus.com.br>	
@@ -642,5 +642,5 @@
 	* @param      <$criteria> 
 	* @param      <$original> 
-	* @return     <Regras do usuÃ¡rio>
+	* @return     <Regras do usuário>
 	* @access     <public>
 	*/