Index: /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css
===================================================================
--- /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6233)
+++ /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6257)
@@ -1256,2 +1256,18 @@
 
  button.expressomail-button-icon-ative{color:#E17009 !important; border: 1px solid #E17009 !important;background: none repeat scroll 0 0 #FFE1CC !important;}
+ 
+ .outoffice {
+	width: 295px; 
+	height: 50px; 
+	overflow: hidden;
+}
+
+.title-outoffice
+{
+	margin-left: 10px;
+	font-family: verdana;
+	font-size: 1.2em;
+}
+.outoffice span{
+	margin: 5px;
+}
Index: /sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 6139)
+++ /sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 6257)
@@ -436,5 +436,5 @@
                 $ldapService->connection = $this->ds;
                 $campos_extras = '';
-                $justthese = array("cn", "mail", "telephonenumber", "mobile", "phpgwaccountvisible", "uid", "employeenumber", "ou");
+                $justthese = array("cn", "mail", "telephonenumber", "mobile", "phpgwaccountvisible", "uid", "employeenumber", "ou","vacationActive","vacationInfo");
                 foreach($searchable_fields as $fields_ldap => $value_field)
                 {   
@@ -473,5 +473,5 @@
 					$this->ldapConnect(true,$i);
 					$filter="(|(cn=*$search_for*)(mail=*$search_for*))";
-					$justthese = array("cn", "mail", "telephoneNumber", "mobile", "phpgwAccountVisible", "uid","employeeNumber", "ou");
+					$justthese = array("cn", "mail", "telephoneNumber", "mobile", "phpgwAccountVisible", "uid","employeeNumber", "ou","vacationActive","vacationInfo");
 					$sr=@ldap_search($this->ds, $this->ldap_context, $filter, $justthese, 0, $this->max_result+1);
 					if(!$sr)
Index: /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5911)
+++ /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6257)
@@ -148,4 +148,12 @@
 					}
 				}
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}
 				break;
 			case 'P':
@@ -156,4 +164,12 @@
                 if(data_[id_contact].telephonenumber != null)
                     details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data_[id_contact].telephonenumber + '</span></p>');
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}	
 				break;
 			default:
@@ -189,4 +205,12 @@
 					}
 				}
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}				
 			break;
 		}				
@@ -278,5 +302,8 @@
 			else if(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) != -1 && data.search_for.indexOf(" ") == -1 && data.search_for.indexOf("@") == -1)									
 				contact_name = contact_name.substring(0, contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) + "<u>" + contact_name.substr(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()), data.search_for.length) + "</u>" + contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) + data.search_for.length);
-			var line = '<span class="menu-control"><button class="'+btnClass+'" id="actions_'+i+'" onClick="'+exist+'(document.getElementById(\'contact_' + i + '\').innerHTML, this, \'contact_' + i + '\')">'+ signal +'</button></span><div id="contact_' + i + '" onDblClick="'+exist+'(this.innerHTML, document.getElementById(\'actions_'+i+'\'), \'contact_' + i + '\')"><div class="name_contact"><strong class="name">' + contact_name + '</strong><em class="email">' + ((utf8_decoder(data[i-1].mail) != undefined)? (utf8_decoder(data[i-1].mail) == 'undefined' ? get_lang("No mail") : utf8_decoder(data[i-1].mail)) : get_lang("No mail")) + '</em></div></div>';
+			var vacationImg = '';
+			if (data[i-1].vacationactive == "TRUE")
+				vacationImg = '<img src="templates/default/images/mala-small.png"/>';	
+			var line = '<span class="menu-control"><button class="'+btnClass+'" id="actions_'+i+'" onClick="'+exist+'(document.getElementById(\'contact_' + i + '\').innerHTML, this, \'contact_' + i + '\')">'+ signal +'</button></span><div id="contact_' + i + '" onDblClick="'+exist+'(this.innerHTML, document.getElementById(\'actions_'+i+'\'), \'contact_' + i + '\')"><div class="name_contact"><strong class="name">' + contact_name +' '+ vacationImg +'</strong><em class="email">' + ((utf8_decoder(data[i-1].mail) != undefined)? (utf8_decoder(data[i-1].mail) == 'undefined' ? get_lang("No mail") : utf8_decoder(data[i-1].mail)) : get_lang("No mail")) + '</em></div></div>';
 			Op.innerHTML = line;
             $(Op).val(i - 1);
@@ -316,5 +343,13 @@
 						}
 					}
-				}			
+				}
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data[first_contact].vacation +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}							
 				break;
 			case 'P':
@@ -325,4 +360,12 @@
                 if(data[first_contact].telephonenumber != null)
 					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber  + '</span></p>');
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}				
 				break;
 			default:	
@@ -357,4 +400,12 @@
 					}
 				}
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+					details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
+					var link = $('<a>').html('Ver mais');
+					link.attr('id','more');
+					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+					details.append(link);
+				}				
 				break;
 		}
@@ -404,4 +455,12 @@
 										}
 									}
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
+										var link = $('<a>').html('Ver mais');
+										link.attr('id','more');
+										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+										details.append(link);
+									}									
 									break;
 								case 'P':
@@ -412,4 +471,12 @@
 									if(data[this.value].telephonenumber != null)
 										details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber + "</span></p>");
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo+'</span></div>')
+										var link = $('<a>').html('Ver mais');
+										link.attr('id','more');
+										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+										details.append(link);
+									}									
 									break;
 								default:
@@ -443,4 +510,12 @@
 										}
 									}
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
+										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
+										var link = $('<a>').html('Ver mais');
+										link.attr('id','more');
+										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+										details.append(link);
+									}									
 									break;
 							}