Index: sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css
===================================================================
--- sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6257)
+++ sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6272)
@@ -1272,2 +1272,4 @@
 	margin: 5px;
 }
+
+#detalhes_contato img{ margin-bottom: -4px;}
Index: sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 6257)
+++ sandbox/2.4.1-2/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 6272)
@@ -461,4 +461,5 @@
                 $info          = ldap_get_entries($this->ds, $sr);
                 $info_return   = $info;
+    
                 //if($campos_extras != '')
                 //array_push($info_return, $campos_extras);
@@ -496,7 +497,24 @@
 				
 			$info_return['search_for'] = $params['search_for'];
-            return $info_return;
+			
+			
+            return $this->toISO8859($info_return);
         } 
 	
+	/*Converte um parametro de UTF-8 para ISO8859*/
+	function toISO8859($data)
+	{
+		if(!is_array($data))
+		  return mb_convert_encoding( $data , 'ISO-8859-1' , 'UTF-8 , ISO-8859-1' );
+
+		$return = array();
+
+		foreach ($data as $i => $v)
+		  $return[$this->toISO8859($i)] = $this->toISO8859($v);
+
+		return $return;
+	}
+		
+
 	function make_quicksearch_card($info, $cn)
 	{
Index: sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6257)
+++ sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6272)
@@ -149,10 +149,12 @@
 				}
 				if (data_[id_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data_[id_contact].vacationinfo ){
+						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}
 				}
 				break;
@@ -165,10 +167,12 @@
                     details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data_[id_contact].telephonenumber + '</span></p>');
 				if (data_[id_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if (data_[id_contact].vacationinfo){
+						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}
 				}	
 				break;
@@ -206,10 +210,12 @@
 				}
 				if (data_[id_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if (data_[id_contact].vacationinfo){
+						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}	
 				}				
 			break;
@@ -345,10 +351,12 @@
 				}
 				if (data[first_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data[first_contact].vacation +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}	
 				}							
 				break;
@@ -361,10 +369,12 @@
 					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber  + '</span></p>');
 				if (data[first_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}
 				}				
 				break;
@@ -401,10 +411,12 @@
 				}
 				if (data[first_contact].vacationactive == "TRUE"){
-					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-					details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
-					var link = $('<a>').html('Ver mais');
-					link.attr('id','more');
-					link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-					details.append(link);
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
+						var link = $('<a>').html('Ver mais');
+						link.attr('id','more');
+						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+						details.append(link);
+					}
 				}				
 				break;
@@ -456,10 +468,12 @@
 									}
 									if (data[this.value].vacationactive == "TRUE"){
-										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
-										var link = $('<a>').html('Ver mais');
-										link.attr('id','more');
-										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-										details.append(link);
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
+											var link = $('<a>').html('Ver mais');
+											link.attr('id','more');
+											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+											details.append(link);
+										}
 									}									
 									break;
@@ -472,10 +486,12 @@
 										details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber + "</span></p>");
 									if (data[this.value].vacationactive == "TRUE"){
-										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo+'</span></div>')
-										var link = $('<a>').html('Ver mais');
-										link.attr('id','more');
-										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-										details.append(link);
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
+											var link = $('<a>').html('Ver mais');
+											link.attr('id','more');
+											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+											details.append(link);
+										}
 									}									
 									break;
@@ -511,10 +527,12 @@
 									}
 									if (data[this.value].vacationactive == "TRUE"){
-										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo</span></p>');	
-										details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
-										var link = $('<a>').html('Ver mais');
-										link.attr('id','more');
-										link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-										details.append(link);
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
+											var link = $('<a>').html('Ver mais');
+											link.attr('id','more');
+											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
+											details.append(link);
+										}	
 									}									
 									break;