Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6265)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6275)
@@ -1099,5 +1099,5 @@
 		$return = array();
 		$msg_number = $params['msg_number'];
-		$msg_folder = urldecode($params['msg_folder']);
+		$msg_folder = isset($params['decoded']) ? $params['msg_folder'] : urldecode($params['msg_folder']);
 		
 		if(preg_match('/(.+)(_[a-zA-Z0-9]+)/',$msg_number,$matches)) { //Verifies if it comes from a tab diferent of the main one. 
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 6199)
+++ /trunk/expressoMail1_2/js/main.js	(revision 6275)
@@ -758,5 +758,17 @@
 				if (msg_to_delete.previousSibling){
  					var previous_msg = msg_to_delete.previousSibling.id;
- 					cExecute("$this.imap_functions.get_info_msg&msg_number="+previous_msg+"&msg_folder=" + url_encode(current_folder), show_msg);
+					 $.ajax({
+						  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+										      msg_number: previous_msg, 
+										      msg_folder: current_folder,
+										      decoded: true } ),
+						  success: function( data ){
+						      data = connector.unserialize( data );
+						      
+						      if( data )
+							  show_msg( data );
+						  }
+
+					});
  				} 
 				else
@@ -995,5 +1007,17 @@
 					//cExecute("$this.imap_functions.get_info_msg&msg_number="+previous_msg+"&msg_folder=" + current_folder, show_msg);
 					if(!not_opem_previus){
-						cExecute("$this.imap_functions.get_info_msg&msg_number="+previous_msg+"&msg_folder=" + url_encode(folder), show_msg);
+						$.ajax({
+							  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+											      msg_number: previous_msg, 
+											      msg_folder: folder,
+											      decoded: true } ),
+							  success: function( data ){
+							      data = connector.unserialize( data );
+							      
+							      if( data )
+								  show_msg( data );
+							  }
+
+						});
 					}
 				}
@@ -1204,5 +1228,17 @@
 	}
 	
-	cExecute( "$this.imap_functions.get_info_msgs&messages=" + messages+"&folder="+folder_dest , handler_arquivar_mensagens );
+	$.ajax({
+		  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+						      msg_number: messages, 
+						      msg_folder: folder_dest,
+						      decoded: true } ),
+		  success: function( data ){
+		      data = connector.unserialize( data );
+		      
+		      if( data )
+			  handler_arquivar_mensagens( data );
+		  }
+
+	});
 }
 
@@ -1258,5 +1294,17 @@
 	}
 
-	cExecute( "$this.imap_functions.get_info_msgs&folder=" + folder + "&msgs_number=" + id_msgs, handler_arquivar_mensagens );
+	$.ajax({
+		  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+						      msg_number: id_msgs, 
+						      msg_folder: folder,
+						      decoded: true } ),
+		  success: function( data ){
+		      data = connector.unserialize( data );
+		      
+		      if( data )
+			  handler_arquivar_mensagens( data );
+		  }
+
+	});
 }
 
@@ -2464,6 +2512,17 @@
 
 	var openNewMessage = function () {
-		cExecute("$this.imap_functions.get_info_msg&msg_number="+newUid
-				+"&msg_folder="+url_encode(current_folder),show_msg);
+		$.ajax({
+			  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+							      msg_number: newUid, 
+							      msg_folder: current_folder,
+							      decoded: true } ),
+			  success: function( data ){
+			      data = connector.unserialize( data );
+			      
+			      if( data )
+				  show_msg( data );
+			  }
+
+		});
 	};
 	for (var i=2; i < 10; i++){
Index: /trunk/expressoMail1_2/js/messages_controller.js
===================================================================
--- /trunk/expressoMail1_2/js/messages_controller.js	(revision 6254)
+++ /trunk/expressoMail1_2/js/messages_controller.js	(revision 6275)
@@ -52,7 +52,19 @@
 
 			eval("call_back(data)");
-		}else {
-			cExecute("$this.imap_functions.get_info_msg&msg_number="+ msg_number + "&msg_folder=" + url_encode(msg_folder), call_back);
-		}
+		}else
+		    $.ajax({
+			      url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+								  msg_number: msg_number, 
+								  msg_folder: msg_folder,
+								  decoded: true } ),
+			      success: function( data ){
+				  data = connector.unserialize( data );
+				  
+				  if( data )
+				      call_back( data );
+			      }
+
+		    });
+
 	}
 	
@@ -416,5 +428,17 @@
      }
      else
-        cExecute('$this.imap_functions.get_info_msg&msg_number='+msgs_number+'&msg_folder='+url_encode(folder_name),call_back);
+	 $.ajax({
+		  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+						      msg_number: msg_number, 
+						      msg_folder: msg_folder,
+						      decoded: true } ),
+		  success: function( data ){
+		      data = connector.unserialize( data );
+		      
+		      if( data )
+			  call_back( data );
+		  }
+
+	});
     }
 
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 6265)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 6275)
@@ -1368,5 +1368,17 @@
 	}
 	else if(msg_folder && msg_number){
-		cExecute("$this.imap_functions.get_info_msg&msg_number="+ msg_number + "&msg_folder=" + url_encode(msg_folder), show_msg);
+		$.ajax({
+			  url: 'controller.php?' + $.param( {action: '$this.imap_functions.get_info_msg',
+							      msg_number: msg_number, 
+							      msg_folder: msg_folder,
+							      decoded: true } ),
+			  success: function( data ){
+			      data = connector.unserialize( data );
+			      
+			      if( data )
+				  show_msg( data );
+			  }
+
+		});
 		Element('msg_folder').value = '';
 		Element('msg_number').value = '';