Index: /sandbox/2.4.1-1/prototype/modules/filters/filters.js
===================================================================
--- /sandbox/2.4.1-1/prototype/modules/filters/filters.js	(revision 6285)
+++ /sandbox/2.4.1-1/prototype/modules/filters/filters.js	(revision 6292)
@@ -1,5 +1,4 @@
 /* 
  * Retorna as regras por remetente e que o usuário deseja ser avisado 
- *
  */
 function getFromAlertRules() { 
@@ -17,4 +16,7 @@
 }
 
+/* 
+ * Verifica se a regra Fora de escritório está ativa
+ */
 function outOfficeVerify() { 	
 	DataLayer.remove('filter', false);
@@ -35,4 +37,7 @@
 }
 
+/* 
+ * Valida os campos do formulário da tela de filtros para salvar.
+ */
 valid_save = function(){
 	var accord = list_container.find(".rule-details-container").accordion({autoHeight: false});
@@ -162,4 +167,7 @@
 }
 
+/* 
+ * Preenche o formulário de filtros com as informações originais para edição
+ */
 showDetails = function( filter ){
   
@@ -184,6 +192,7 @@
 			actions.parent().find('[value="'+filter.actions[i].parameter+'"]').attr("selected", "selected");
     }
-    //isExact.val( filter.isExact != "false"? "and" : "or" );
 	isExact.filter('[value="'+(filter.isExact != "false"? "and" : "or")+'"]').attr("checked", "True");
+	
+	if (filter.alertMessage == 'true') $('.alertMessage').attr('checked', 'True');
 }
 
@@ -328,11 +337,13 @@
 var allMessages = false;
 
+
+/* 
+ * Bloqueia usuário por email - utilizado na tela de mensagens do ExpressoMail
+ */
 function block_user_email(email) { 
-	//var id = "block_"+email;
 	var idd = email;
 	/** TODO - Mudar quando API abstrair atualizações no cache */
 	DataLayer.remove('filter', false);
 	var filters = DataLayer.get('filter');
-	//var filters = DataLayer.get("filter", true);
 	for(var index in filters){
 		if(filters[index].name == email) {
@@ -365,4 +376,8 @@
 }
 
+
+/* 
+ * Mostra o grid de mensagens para aplicar a regra nas mensagens da caixa de entrada.
+ */
 function showGridMessages(thiss) {
 	var criteria_list = list_container.find('[name="criteriaValue[]"]');
@@ -465,4 +480,7 @@
 
 
+/* 
+ * Lista os filtros para o usuário
+ */
 function list_filters(html){
 	outOfficeVerify();
@@ -730,4 +748,8 @@
 	});
 }
+
+/* 
+ * Inicia a funcionalidade de filtros de mensagens
+ */
 function  init_filters(){
 	var html = DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {});
Index: /sandbox/2.4.1-1/prototype/modules/filters/filter-list.ejs
===================================================================
--- /sandbox/2.4.1-1/prototype/modules/filters/filter-list.ejs	(revision 6224)
+++ /sandbox/2.4.1-1/prototype/modules/filters/filter-list.ejs	(revision 6292)
@@ -29,4 +29,10 @@
 					<% 
 						for (var k=0; k<data.rules[i].actions.length; k++) {
+							if(data.rules[i].actions[k].type == "addflag") { 
+					%>		
+								<li><strong> (<%= get_lang("The filter is active for alerts") %>) </strong></li>
+					<%		
+								continue;
+							}
 					%>
 						<li><strong><%= get_lang(data.rules[i].actions[k].type) %>:</strong> <%= (data.rules[i].actions[k].type == 'setflag') ? get_lang(data.rules[i].actions[k].parameter) : data.rules[i].actions[k].parameter %></li>
Index: /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6285)
+++ /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6292)
@@ -557,4 +557,5 @@
 There is not %1 folder, Expresso is creating it for you... Please, repeat your request later.	expressoMail1_2	pt-br	Pasta %1 inexistente, Expresso criará para você. Contudo por favor repita a operação em seguida.
 There's an action processing. Do you want abort it?	expressoMail1_2	pt-br	Existe uma ação que ainda está sendo processada. Suspender ação?
+The filter is active for alerts	expressoMail1_2	pt-br	O filtro está ativo para alertas
 The results were found in the Global Catalog	expressoMail1_2	pt-br	Ocorrências encontradas no Catálogo Geral
 The selected folder is empty.	expressoMail1_2	pt-br	A pasta selecionada está vazia.