Index: /sandbox/2.4.1-1/prototype/modules/mail/css/followupflag.css
===================================================================
--- /sandbox/2.4.1-1/prototype/modules/mail/css/followupflag.css	(revision 6280)
+++ /sandbox/2.4.1-1/prototype/modules/mail/css/followupflag.css	(revision 6296)
@@ -255,5 +255,4 @@
 .confirm-alarm {
 	float:right;
-	margin: 5px;
 }
 .freeow .gray h2 {
Index: /sandbox/2.4.1-1/prototype/modules/mail/js/followupflag.js
===================================================================
--- /sandbox/2.4.1-1/prototype/modules/mail/js/followupflag.js	(revision 6285)
+++ /sandbox/2.4.1-1/prototype/modules/mail/js/followupflag.js	(revision 6296)
@@ -461,5 +461,5 @@
 
 /**
- * constrói as duas possíveis janela de alerta, utilizando o mesmo template
+ * constrói as três possíveis janelas de alerta, utilizando o mesmo template
  * para o parametro alert_type, espera-se vazio, followupflagAlarms ou filtersAlarms
  * vazio: quando serão carregadas todas as modais de alarmes
@@ -479,5 +479,5 @@
 					plural:"You have %1 undone messages today:"
 					},
-					title: 'Concluídas',
+					title: get_lang('Done'),
 					enable: ($.cookie("fadeCompleted") != (new Date).toString("dd/MM/yyyy"))
 				},
@@ -488,5 +488,5 @@
 						plural:'You have %1 follow ups due for today:'
 					},
-					title: 'Sinalizadas',
+					title: get_lang('Follow ups'),
 					enable: ($.cookie("fadeAlarm") != (new Date).toString("dd/MM/yyyy"))
 				}
@@ -495,13 +495,13 @@
 		// carregar modal de filtros
 		case 'filtersAlarms':
-			$('.listFilters').remove();
+			$('.filtersDeadline').remove();
 			var toIterate = [
 				{
 					attrDeadline: 'filtersDeadline',
 					caption: {
-						singular:'Você tem uma mensagem arquivada:', 
-						plural:'Você tem %1 mensagens arquivadas:'
+						singular:'You have an archived message:', 
+						plural:'You have %1 messages archived:'
 					},
-					title: 'Filtro por remetente',
+					title: get_lang('Filter by sender'),
 					enable: ($.cookie("fadeFilterAlarm") != (new Date).toString("dd/MM/yyyy"))
 				}
@@ -515,8 +515,8 @@
 					attrDeadline: 'filtersDeadline',
 					caption: {
-						singular:'Você tem uma mensagem arquivada:', 
-						plural:'Você tem %1 mensagens arquivadas:'
+						singular:'You have an archived message:', 
+						plural:'You have %1 messages archived:'
 					},
-					title: 'Filtro por remetente',
+					title: get_lang('Filter by sender'),
 					enable: ($.cookie("fadeFilterAlarm") != (new Date).toString("dd/MM/yyyy"))
 				},
@@ -526,5 +526,5 @@
 					plural:"You have %1 undone messages today:"
 					},
-					title: 'Concluídas',
+					title: get_lang('Done'),
 					enable: ($.cookie("fadeCompleted") != (new Date).toString("dd/MM/yyyy"))
 				},				
@@ -535,5 +535,5 @@
 						plural:'You have %1 follow ups due for today:'
 					},
-					title: 'Sinalizadas',
+					title: get_lang('Follow ups'),
 					enable: ($.cookie("fadeAlarm") != (new Date).toString("dd/MM/yyyy"))
 				}
@@ -553,6 +553,6 @@
 				for(var i=0; i<alarmInRange.length; i++){
 					if(alarmInRange[i].isDone == 1){
-					 alarmInRange.splice(i,1);
-					 i--;
+						 alarmInRange.splice(i,1);
+						 i--;
 					}
 				}
@@ -610,13 +610,16 @@
 				
 		if(alarmInRange.length > 0){
+			// monta o subtitulo da modal
 			var caption = (alarmInRange.length == 1) ?
 				get_lang(it.caption.singular):
 				get_lang(it.caption.plural, alarmInRange.length);
-				
+			// monta o array de dados a ser passado para o template	
 			var data = {
 				alarmInRange : messages_alarm, 
 				caption: caption, 
 			};
+			// tipo de modal a ser exibida
 			var type_alarm = it.attrDeadline;
+			//função chamada ao clicar no botão Ok da modal
 			var ok_function = function(event, type, type_cookie){
 				if($(event.target).parents('.'+type).find('[name="stopAlert"]').is(':checked')){
Index: /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6292)
+++ /sandbox/2.4.1-1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6296)
@@ -882,5 +882,5 @@
 removed	expressoMail1_2	pt-br	removido
 Want to block the user	expressoMail1_2	pt-br	Deseja bloquear o usuário
-blocked	expressoMail1_2	pt-br	bloqueado.
+blocked	expressoMail1_2	pt-br	bloqueado.Alertar ao receber mensagens filtradas por remetente
 Are you sure to delete the filter	expressoMail1_2	pt-br	Deseja realmente excluir o filtro
 Exclusion Confirmation	expressoMail1_2	pt-br	Confirmação de exclusão
@@ -896,2 +896,7 @@
  will be removed. This action cannot be undone. Want to continue?	expressoMail1_2	pt-br	 serão removidas. Essa ação não poderá ser desfeita. Deseja continuar?
 Message size greateruler than allowed (Default rule)	expressoMail1_2	pt-br	 Tamanho da mensagem excede o limite de tamanho configurado pelo administrador
+You have an archived message:	expressoMail1_2	pt-br	Você tem uma mensagem arquivada:
+You have %1 messages archived:	expressoMail1_2	pt-br	Você tem %1 mensagens arquivadas:
+Filter by sender	expressoMail1_2	pt-br	Filtro por Remetente
+Follow ups	expressoMail1_2	pt-br	Sinalizadas
+Done	expressoMail1_2	pt-br	Concluídas 